Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class Monitor

    java.lang.Object
      |
      +--weblogic.common.internal.RemoteEntryPoint
            |
            +--weblogic.common.Monitor

public class Monitor
extends weblogic.common.internal.RemoteEntryPoint

The Monitor class provides constructors for Monitor objects. A Monitor object is used to add user callbacks on server resources. The class name used to construct it is a user-written class that implements one or more Monitor interfaces.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected ParamSet` | `callbackData`
`protected boolean` | `isMaster`

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Monitor()` Constructs a default Monitor object.
`Monitor(java.lang.Object o)` Constructs an Monitor object with the specified Object.
`Monitor(java.lang.Object o, ParamSet ps)` Constructs a Monitor with the specified Object and set of parameters.
`Monitor(java.lang.Object o, ParamSet initData, ParamSet callbackData)` Constructs a Monitor with the specified Object and set of parameters.
`Monitor(java.lang.String entry)` Constructs a Monitor with the specified user-written class name.
`Monitor(java.lang.String entry, ParamSet ps)` Constructs a Monitor with the specified user-written class name and set of parameters.
`Monitor(java.lang.String entry, ParamSet initData, ParamSet callbackData)` Constructs a Monitor with the specified user-written class name and set of parameters.

Method Summary
`ParamSet` | `getCallbackData()` Returns the ParamSet of callback data for a Monitor.
`boolean` | `isMaster()` Returns true if a Monitor is a "Master" Monitor.
`MonitorDef` | `newInstance(T3ServicesDef services)` Creates an instance of the user-written class and calls its `monitorInit()` and `setServices()` methods.
`void` | `readExternal(java.io.ObjectInput in)` Internal use only.
`void` | `setMaster(boolean value)` Registers a Monitor as a "Master Monitor." A Master Monitor is guaranteed to execute before any other Monitor and may alter the state of a Monitored object.
`void` | `writeExternal(java.io.ObjectOutput out)` Internal use only.

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, initialize, newInstance, params, theObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isMaster

    protected boolean isMaster

### callbackData

    protected ParamSet callbackData

Constructor Detail

### Monitor

    public Monitor()

  Constructs a default Monitor object.

### Monitor

    public Monitor(java.lang.Object o,
                   ParamSet initData,
                   ParamSet callbackData)

  Constructs a Monitor with the specified Object and set of parameters. This constructor is used internally, i.e., only on the WebLogic Server to hold the object definition.

  Parameters:
    `o` - Object
    `ps` - ParamSet object
    `callbackData` - ParamSet for callback

### Monitor

    public Monitor(java.lang.Object o,
                   ParamSet ps)

  Constructs a Monitor with the specified Object and set of parameters. This constructor is used internally, i.e., only on the event server to hold the object definition.

  Parameters:
    `o` - Object
    `ps` - ParamSet object

### Monitor

    public Monitor(java.lang.Object o)

  Constructs an Monitor object with the specified Object. This constructor is used internally, i.e., only on the WebLogic Server to hold the object definition.

  Parameters:
    `o` - Object

### Monitor

    public Monitor(java.lang.String entry,
                   ParamSet initData,
                   ParamSet callbackData)

  Constructs a Monitor with the specified user-written class name and set of parameters. The user-written class must implement weblogic.common.MonitorDef, or one of its companions, SetMonitor, GetMonitor, and DestroyMonitor.

  Parameters:
    `entry` - Name of user-written class
    `initData` - ParamSet for monitorInit
    `callbackData` - ParamSet for callback function
  See Also:
    `MonitorDef`, `SetMonitor`, `GetMonitor`, `DestroyMonitor`

### Monitor

    public Monitor(java.lang.String entry,
                   ParamSet ps)

  Constructs a Monitor with the specified user-written class name and set of parameters. The user-written class must implement weblogic.common.MonitorDef, or one of its companions, SetMonitor, GetMonitor, and DestroyMonitor.

  Parameters:
    `entry` - Name of user-written class
    `ps` - ParamSet object
  See Also:
    `MonitorDef`, `SetMonitor`, `GetMonitor`, `DestroyMonitor`

### Monitor

    public Monitor(java.lang.String entry)

  Constructs a Monitor with the specified user-written class name. The user-written class must implement weblogic.common.MonitorDef, or one of its companions, SetMonitor, GetMonitor, and DestroyMonitor.

  Parameters:
    `entry` - Name of user-written class
  See Also:
    `MonitorDef`, `SetMonitor`, `GetMonitor`, `DestroyMonitor`

Method Detail

### newInstance

    public MonitorDef newInstance(T3ServicesDef services)
                           throws MonitorException

  Creates an instance of the user-written class and calls its `monitorInit()` and `setServices()` methods.

  Parameters:
    `services` - Services stub to be passed to `setServices()`
  Throws:
    MonitorException - if there is an error creating the instance

### isMaster

    public boolean isMaster()

  Returns true if a Monitor is a "Master" Monitor. A Master Monitor is guaranteed to execute before any other Monitor and may alter the state of a Monitored object.

  Returns:
    true if Monitor is a Master

### getCallbackData

    public ParamSet getCallbackData()

  Returns the ParamSet of callback data for a Monitor.

  Returns:
    ParamSet of callback data

### setMaster

    public void setMaster(boolean value)

  Registers a Monitor as a "Master Monitor." A Master Monitor is guaranteed to execute before any other Monitor and may alter the state of a Monitored object.

  Parameters:
    `value` - true is a Monitor should be set to Master

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Internal use only.

  Throws:
    java.lang.ClassNotFoundException - if there is an error
    java.io.IOException - if there is an error
  Overrides:
    readExternal in class weblogic.common.internal.RemoteEntryPoint

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Internal use only.

  Throws:
    java.io.IOException - if there is an error
  Overrides:
    writeExternal in class weblogic.common.internal.RemoteEntryPoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD